Skip to main content
POST
Rename a pipeline

Authorizations

x-api-key
string
header
required

Optional API key for authentication (enabled via application.yaml)

Path Parameters

name
string
required

Current pipeline name

Body

application/json
newName
string
required

New name (trimmed)

Maximum string length: 80

Response

Renamed

name
string

The new name

previousName
string
version
integer

Definition version of the renamed pipeline (the rename is a new version)

repointedTaps
string[]

Taps re-pointed to the new name that the caller can see

failed
object[]

Taps that could not be re-pointed (response is 207 when non-empty)

warnings
string[]